Name:           myami
Version:        2.2
Release:	757
Source0:        %{name}-%{version}.tar.gz
License:        Apache
Summary:        Data collection and procession processing tools for EM
Vendor:         NRAMM/Scripps Research Institute AMI Group
URL:            http://nramm.scripps.edu
Group:          Applications/Engineering and Scientific
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
AutoReq:        0
Prefix:		/opt/%{name}-%{version}

%description
Myami contains the Leginon data acquisition tools and the Appion processing pipeline. Leginon is a system designed for automated collection of images from a transmission electron microscope. Appion is a pipeline for processing cryoEM data collected with Leginon.

%prep 
## Clean up in case anything was left behind.
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}


#%build
%install

cd $RPM_BUILD_DIR/%{buildsubdir}/appion
env python setup.py install --root=$RPM_BUILD_ROOT --install-lib=%{prefix}/lib  --install-scripts=%{prefix}/bin

cd $RPM_BUILD_DIR/%{buildsubdir}/leginon
env python setup.py install --root=$RPM_BUILD_ROOT --install-lib=%{prefix}/lib  --install-scripts=%{prefix}/bin

cd $RPM_BUILD_DIR/%{buildsubdir}/imageviewer
env python setup.py install --root=$RPM_BUILD_ROOT --install-lib=%{prefix}/lib 

cd $RPM_BUILD_DIR/%{buildsubdir}/modules/libcv            
env python setup.py install --root=$RPM_BUILD_ROOT --install-lib=%{prefix}/lib

cd $RPM_BUILD_DIR/%{buildsubdir}/modules/numextension    
env python setup.py install --root=$RPM_BUILD_ROOT  --install-lib=%{prefix}/lib

cd $RPM_BUILD_DIR/%{buildsubdir}/pyami
env python setup.py install --root=$RPM_BUILD_ROOT --install-lib=%{prefix}/lib  --install-scripts=%{prefix}/bin 

cd $RPM_BUILD_DIR/%{buildsubdir}/pyscope
env python setup.py install --root=$RPM_BUILD_ROOT --install-lib=%{prefix}/lib 

cd $RPM_BUILD_DIR/%{buildsubdir}/sinedon
env python setup.py install --root=$RPM_BUILD_ROOT --install-lib=%{prefix}/lib 



%{__mkdir_p} $RPM_BUILD_ROOT%{prefix}

%{__cp} -r  $RPM_BUILD_DIR/%buildsubdir/appion/ace  $RPM_BUILD_ROOT%{prefix}/



#%clean 
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
#%dir %{prefix}
%{prefix}/*
